Macaulay2 » Documentation
Packages » SRdeformations :: raysPPn
next | previous | forward | backward | up | index | toc

# raysPPn -- The rays of the standard fan of projective space or weighted projective space.

- Usage:
    `raysPPn(n)`
- Inputs:
  - n, an integer, positive
  - L, a list, with at least 2 elements and first entry 1
- Outputs:
  - a matrix,

## Description

Returns a matrix which has in its rows the rays of the standard fan of projective space of dimension n or weighted projective space with the weights L.

    i1 : raysPPn(2)

    o1 = | -1 -1 |
         | 1  0  |
         | 0  1  |

                  3       2
    o1 : Matrix ZZ  <-- ZZ

## See also

- addCokerGrading -- Stores a cokernel grading in a polynomial ring.

## Ways to use raysPPn:

- `raysPPn(List)`
- `raysPPn(ZZ)`

## For the programmer

The object raysPPn is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/SRdeformations.m2:5175:0.